%define ver	0.1.11
%define rel	7

Summary: A pager that can be used as a text mode Web browser.
Name: w3m
Version: %{ver}pre
Release: %{rel}
Group: Applications/Internet
Copyright: BSD
Url: http://ei5nazha.yz.yamagata-u.ac.jp/

#Source0: ftp://ei5nazha.yz.yamagata-u.ac.jp/w3m/dev/%{name}-%{ver}-pre.tar.gz
Source0: %{name}-%{ver}-pre.tar.bz2
Source1: w3m.el.bz2

# upstream configure script seems to be broken when setting --lang=en
# so instead of dynamic configuration, use pre-written configured file.
Source2: config.h-en.bz2
Source3: config.h-ja.bz2
Source4: w3m.sh.bz2
Source5: w3mbookmark.bz2
Source5: w3mhelperpanel.bz2

# for Sparc, w3m/gc library not ready for IA64 yet.
Patch0: w3m-0.1.11-pre-sparc.patch.bz2

#Patch1: w3m-0.1.11-pre+.diff.bz2
Patch1: w3m-0.1.11-pre-kokb22.patch.bz2

# security bug fix patch from w3m mailinglist
Patch2: w3m-0111-utf8-kokb22.patch.bz2
Patch3: w3m-devlist-security1.patch.bz2
Patch4: w3m-devlist-security2.patch.bz2
Patch5: w3m-devlist-security3.patch.bz2
Patch6: w3m-devlist-imagemap.patch.bz2

Patch7: w3m-gcmain.patch.bz2

#Patch8: w3m-0.1.11-pre-excludejmsg.patch.bz2

Requires: indexhtml, perl
BuildRequires: openssl, bzip2
Provides: webclient
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
ExcludeArch: ia64 alpha


%description
W3m is a pager (like more or less) that can be used as a text mode Web
browser (like Lynx). To get w3m working, you'll probably want to copy
the config files from /usr/doc/w3m-{version}/w3m.config to
~/.w3m/config.

%prep
%setup -q -n %{name}-%{ver}-pre
%patch0 -p1
%patch1 -p1
#%patch2 -p2
%patch3 -p0
%patch4 -p0
#%patch5 -p1
%patch6 -p0
%patch7 -p1
#%patch8 -p1

%build

bzcat ${RPM_SOURCE_DIR}/config.h-ja.bz2 > ./config.h
make && \
for f in w3m w3mbookmark w3mhelperpanel ; do \
  mv $f $f-ja ; done \
&& make clean

bzcat ${RPM_SOURCE_DIR}/config.h-en.bz2 > ./config.h
make && \
for f in w3m w3mbookmark w3mhelperpanel ; do \
  mv $f $f-en ; done

bzcat ${RPM_SOURCE_DIR}/w3m.sh.bz2 > ./w3m
bzcat ${RPM_SOURCE_DIR}/w3m.el.bz2 > ./w3m.el
bzcat ${RPM_SOURCE_DIR}/w3mbookmark.bz2 > ./w3mbookmark
bzcat ${RPM_SOURCE_DIR}/w3mhelperpanel.bz2 > ./w3mhelperpanel


%install
rm -rf $RPM_BUILD_ROOT
#%makeinstall DESTDIR=${RPM_BUILD_ROOT}

mkdir -p $RPM_BUILD_ROOT/%{_prefix}/{bin,lib/w3m,share/w3m}
install -m 755 w3m $RPM_BUILD_ROOT/%{_bindir}/
install -m 755 w3m-ja $RPM_BUILD_ROOT/%{_bindir}/
install -m 755 w3m-en $RPM_BUILD_ROOT/%{_bindir}/

install -m 755 w3mbookmark $RPM_BUILD_ROOT/%{_libdir}/w3m/
install -m 755 w3mbookmark-ja $RPM_BUILD_ROOT/%{_libdir}/w3m/
install -m 755 w3mbookmark-en $RPM_BUILD_ROOT/%{_libdir}/w3m/

install -m 755 w3mbookmark $RPM_BUILD_ROOT/%{_libdir}/w3m/
install -m 755 w3mbookmark-ja $RPM_BUILD_ROOT/%{_libdir}/w3m/
install -m 755 w3mbookmark-en $RPM_BUILD_ROOT/%{_libdir}/w3m/

install -m 755 scripts/dirlist.cgi $RPM_BUILD_ROOT/%{_libdir}/w3m/

install -m 644 w3mhelp-w3m_en.html $RPM_BUILD_ROOT/%{_datadir}/w3m/
install -m 644 w3mhelp-w3m_ja.html $RPM_BUILD_ROOT/%{_datadir}/w3m/


mkdir -p $RPM_BUILD_ROOT/etc/profile.d
cat > ${RPM_BUILD_ROOT}/etc/profile.d/w3m.sh << EOF
export HTTP_HOME="file:/usr/share/doc/HTML/index.html"
EOF

cat > ${RPM_BUILD_ROOT}/etc/profile.d/w3m.csh << EOF
setenv HTTP_HOME "file:/usr/share/doc/HTML/index.html"
EOF

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/{man1,ja/man1}
install -m 644 doc-jp/w3m.1 ${RPM_BUILD_ROOT}%{_mandir}/ja/man1
install -m 644 doc/w3m.1 ${RPM_BUILD_ROOT}%{_mandir}/man1

# dont include duplicated man pages and CVS directory in doc
rm -f doc-jp/w3m.1 doc/w3m.1
find . -name "CVS" | xargs rm -rf

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/
install -m 644 w3m.el ${RPM_BUILD_ROOT}%{_datadir}/emacs/site-lisp/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc doc-jp
%attr(755,root,root) %config(noreplace) /etc/profile.d/*
%{_bindir}/w3m*
%{_libdir}/w3m/*
%{_datadir}/w3m/*
%{_mandir}/ja/man1/w3m.1*
%{_mandir}/man1/w3m.1*
%{_datadir}/emacs/site-lisp/*

%changelog
* Fri Mar  2 2001 Tim Powers <timp@redhat.com>
- rebuilt against openssl-0.9.6-1

* Fri Feb  9 2001 SATO Satoru <ssato@redhat.com>
- not to use upstream configure script (it looks corrupted)
- separated w3m-ja/w3m-en (#26443)
- apply many security bug fix patch
- ExludeArch alpha
- use bzip2 instead of gzip for src/patches

* Thu Feb  8 2001 SATO Satoru <ssato@redhat.com>
- changed configure option ( --lang=ja -> --lang=en)

* Thu Jan 18 2001 Tim Powers <timp@redhat.com>
- ExludeArch ia64

* Sun Jan 14 2001 SATO Satoru <ssato@redhat.com>
- fix the error while building on IA64

* Fri Jan 12 2001 SATO Satoru <ssato@redhat.com>
- fix the error while building on Sparc
- clean up SPEC

* Thu Dec 28 2000 SATO Satoru <ssato@redhat.com>
- new upstream pre release
- added w3m.el
- clean up SPEC

* Wed Sep  6 2000 Satoru Sato <ssato@redhat.com>
- ported from vine
- remove w3m.wmconfig
- build with openssl library

* Sun Jul 09 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- w3m-0.1.10-0vl3
- provide default HTTP_HOME in /etc/profile.d

* Fri Jul 07 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- Provides: webclient, Requires: indexhtml (capability of lynx)
- added w3m.wmconfig
- give them(who?) RPM_OPT_FLAGS(what?)
- dont include duplicated man pages and CVS directory in doc

* Wed Jun 21 2000 Jun Nishii <jun@vinelinux.org>
- 0.1.10-0vl1

* Sat Jan 22 2000 Yoichi Imai <yoichi@silver-forest.com>
- fix spec file

* Sat Jan 22 2000 Yoichi Imai <yoichi@silver-forest.com>
- updated from 0.1.4 to 0.1.6

* Thu Jan 13 2000 Yoichi Imai <yoichi@silver-forest.com>
- updated from 991203 to 0.1.4

* Fri Dec 03 1999 Yoichi Imai <yoichi@silver-forest.com>
- updated from 991028 to 991203

* Sat Oct 30 1999 Yoichi Imai <bonaim@mutt.freemail.ne.jp>
- updated from 990820 to 991028

* Tue Aug 26 1999 Ryo Hattori <ryoh@vs01.vaio.ne.jp>
- updated from 990716 to 990820

* Wed Aug 11 1999 Ryo Hattori <ryoh@vs01.vaio.ne.jp>
- initial Release to VinePlus

